//
//  Created by Ammo Goettsch on 11/23/17.
//
import Foundation

public class TestSynthesizedCodableBaseClass: Codable {
    var baseMember = 1
    var baseMember2 = 2

    public init() {
    }

    init(arg1: Int) {
    }
}

class TestPartiallySynthesizedDerivedClass: TestSynthesizedCodableBaseClass {
    var derivedMember = false

    fileprivate override init() {
        super.init()
    }

    init(arg1: Int, arg2: Int) {
        self.derivedMember = false
        super.init(arg1: arg1)
    }

    required init(from decoder: Decoder) throws {
        fatalError("cannot decode internal class that is not intended for serialization")
    }
}
